#!/usr/bin/env bash

echo "Deleting old dist files..."
rm *.rhp
rm *.pdb
rm Photogrammetry
rm ObjectCaptureFromPhotos-M.m.p.macrhi
rm -rf macrhi-temp

echo "Cleaning the Release folder..."
cd ..
rm -rf bin/Release

echo "Build in Release..."
dotnet build -c Release

echo "Copy from Release to dist..."
cp bin/Release/net48/ObjectCaptureFromPhotos.rhp dist/ObjectCaptureFromPhotos.rhp
cp bin/Release/net48/ObjectCaptureFromPhotos.pdb dist/ObjectCaptureFromPhotos.pdb
cp Photogrammetry/Executable/Photogrammetry dist/Photogrammetry

echo "Bundle it all in a subfolder"
cd dist
mkdir macrhi-temp
mkdir macrhi-temp/ObjectCaptureFromPhotos.rhp
cp ObjectCaptureFromPhotos.rhp macrhi-temp/ObjectCaptureFromPhotos.rhp/ObjectCaptureFromPhotos.rhp
cp ObjectCaptureFromPhotos.pdb macrhi-temp/ObjectCaptureFromPhotos.rhp/ObjectCaptureFromPhotos.pdb
cp Photogrammetry macrhi-temp/ObjectCaptureFromPhotos.rhp/Photogrammetry
cp manifest.yml macrhi-temp/ObjectCaptureFromPhotos.rhp/manifest.yml
cd macrhi-temp

echo "Now, in Finder, follow these steps: https://developer.rhino3d.com/guides/rhinocommon/plugin-installers-mac/#step-by-step"